Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.transaction
Class AbstractTransactionController

`java.lang.Object
oracle.toplink.transaction.AbstractTransactionController`

All Implemented Interfaces:
  ExternalTransactionController

Direct Known Subclasses:
  JTATransactionController, OTSTransactionController

public abstract class AbstractTransactionController
extends java.lang.Object
implements ExternalTransactionController

Purpose: Abstract implementation of an ExternalTransactionController.

Description: This class implements the ExternalTransactionController interface. Concrete implementations of this class are responsible for performing the coordination with the external transaction manager through whatever means available to that manager. Different transaction services may do this in slightly different ways, but most common ones (JTA and JTS/OTS) will use a synchronization interface.

See Also:
  `AbstractSynchronizationListener`, `ExternalTransactionController`

Method Summary
`java.lang.Object` | `jndiLookup(java.lang.String jndiName)` PUBLIC: Look up a given name in JNDI.
`void` | `logTxStateTrace(Session session, java.lang.String msgInd, java.lang.Object status)`
`void` | `logTxTrace(Session session, java.lang.String msgInd, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### jndiLookup

    public java.lang.Object jndiLookup(java.lang.String jndiName)

  PUBLIC: Look up a given name in JNDI. This can be used by a subclass or even an application to look up transaction artifacts that are required for the implementation.

  The lookup assumes that it is taking place on the server side, and that the InitialContext can be used without requiring any special properties.

  Parameters:
    `jndiName` - The name to look up
  Returns:
    The object bound in JNDI to the specified name
  Throws:
    `TransactionException` - Thrown in case of lookup failure

### logTxTrace

    public void logTxTrace(Session session,
                           java.lang.String msgInd,
                           java.lang.Object[] args)

### logTxStateTrace

    public void logTxStateTrace(Session session,
                                java.lang.String msgInd,
                                java.lang.Object status)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD